package LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI::Llano;

use v5.36.0;

use strict;
use warnings;
use utf8;

use Moo;

use LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI;

with 'LasTres::Location';

sub identifier {
    return 'llano';
}

sub name {
    return 'Llano de las liebres';
}

sub description {
    return 'En el llano de las liebres suelen encontrarse roedores comestibles, y también sus depredadores...';
}
sub parent {
    return LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI->instance;
}

sub actions {
    return [];
}

sub npcs {
    return [];
}

sub connected_places {
    return [
        LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima::Entrada->instance,
    ];
}

my $singleton;
sub instance {
    my $class = shift;
    if (!defined $singleton) {
        $singleton = $class->new(@_);
    }
    return $singleton;
}
1;
